org.apache.hc.client5.http.async

## Interface AsyncExecChainHandler

All Known Implementing Classes:
  AsyncConnectExec

    public interface AsyncExecChainHandler

### Method Summary

Methods
`void` `execute(org.apache.hc.core5.http.HttpRequest request, org.apache.hc.core5.http.nio.AsyncEntityProducer entityProducer, AsyncExecChain.Scope scope, AsyncExecChain chain, AsyncExecCallback asyncExecCallback)`

### Method Detail

#### execute

    void execute(org.apache.hc.core5.http.HttpRequest request,
               org.apache.hc.core5.http.nio.AsyncEntityProducer entityProducer,
               AsyncExecChain.Scope scope,
               AsyncExecChain chain,
               AsyncExecCallback asyncExecCallback)
                 throws org.apache.hc.core5.http.HttpException,
                        IOException

Throws:
  `org.apache.hc.core5.http.HttpException`
  `IOException`